Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type RosettaNetControl.RosettaNet

    @Retention(value=RUNTIME)
    @Target(value={TYPE,FIELD})
    public static @interface RosettaNetControl.RosettaNet

Specifies the class-level annotations for the RosettaNet Control.
Note:Annotations can be specified at the control class level, at the control instance level, and at the control method level, in increasing order of precedence.

Required Element Summary
`String` | `fromRole` This attriute specifies RosettaNet role name for the sender as defined in the PIP specification, such as Buyer, Seller, Supplier, Receiver, Shipper, and so on.
`String` | `pip` This attribute specifies RosettaNet PIP code, such as 3B2.
`String` | `pipVersion` This attribte specifies RosettaNet PIP version.
`RosettaNetControl.RNIF_VERSION` | `rnifVersion` Version of the RosettaNet Implementation Framework.
`String` | `toRole` This attribute specifies RosettaNet role name for the recipient as defined in the PIP specification, such as Buyer, Seller, Supplier, Receiver, Shipper, and so on.

Optional Element Summary
`String` | `from` This will specify the DUNS of the initiator.
`String` | `to` This will specify DUNS of the participant.This must match the business ID for the trading partner as defined in the TPM repository.
`XQuery.Version` | `xqueryVersion` XQuery version to use.

Element Detail

### rnifVersion

    public abstract RosettaNetControl.RNIF_VERSION rnifVersion

  Version of the RosettaNet Implementation Framework. Must be either 1.1 or 2.0.

### pip

    public abstract String pip

  This attribute specifies RosettaNet PIP code, such as 3B2. Must be a valid PIP code as defined in ``http://www.rosettanet.org

### pipVersion

    public abstract String pipVersion

  This attribte specifies RosettaNet PIP version. Must be a valid version number associated with the PIP.

### fromRole

    public abstract String fromRole

  This attriute specifies RosettaNet role name for the sender as defined in the PIP specification, such as Buyer, Seller, Supplier, Receiver, Shipper, and so on. A PIP request might be rejected if an incorrect value is specified.

### toRole

    public abstract String toRole

  This attribute specifies RosettaNet role name for the recipient as defined in the PIP specification, such as Buyer, Seller, Supplier, Receiver, Shipper, and so on. A PIP request might be rejected if an incorrect value is specified.

### from

    public abstract String from

  This will specify the DUNS of the initiator. This must match the business ID for the trading partner as defined in the TPM repository.

  Default:
    "Not Specified"

### to

    public abstract String to

  This will specify DUNS of the participant.This must match the business ID for the trading partner as defined in the TPM repository.

  Default:
    "Not Specified"

### xqueryVersion

    public abstract XQuery.Version xqueryVersion

  XQuery version to use. Default is ``XQuery.Version.v2004

  Default:
    v2004

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT